/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

/* Test for dlms: sine */
#define NX 128
#define NH 21
#define STEP 1638
#define FNAME "t5"
#define MAXERROR 20

DATA x[NX] ={
0,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
-1,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
-1,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
-1,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
-1,
-11586,
-16384,
-11586,
0,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
-1,
-11586,
-16384,
-11586,
-1,
11585,
16384,
11585,
0,
-11586,
-16384,
-11586,
};

DATA des[NX] ={
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
-1,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
-1,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
-1,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
-1,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
-1,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
0,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
0,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
-1,
23170,
32767,
23170,
0,
-23171,
-32768,
-23171,
0,
23170,
};

DATA htest[NH] ={ /* C54x: hn-1 ... h0 (backward order) */
-63,
-2563,
-3811,
-2818,
113,
3399,
5001,
3665,
-160,
-4388,
-6402,
-4660,
196,
5488,
7958,
5764,
-214,
-6646,
-9597,
-6926,
212,
};

DATA rtest[NX] ={
0,
0,
0,
145,
0,
-145,
207,
873,
1637,
1449,
-376,
-2946,
-4748,
-3788,
463,
5808,
8947,
6878,
-448,
-9094,
-13706,
-10329,
343,
12418,
18468,
13665,
-93,
-15001,
-22046,
-16135,
-50,
16968,
24730,
17962,
124,
-18465,
-26743,
-19315,
-156,
19603,
28253,
20316,
162,
-20467,
-29385,
-21057,
-155,
21124,
30234,
21605,
140,
-21622,
-30870,
-22012,
-122,
21999,
31346,
22312,
104,
-22285,
-31703,
-22535,
-87,
22501,
31971,
22700,
72,
-22665,
-32171,
-22822,
-59,
22789,
32321,
22912,
48,
-22883,
-32434,
-22979,
-38,
22953,
32518,
23029,
30,
-23007,
-32581,
-23065,
-24,
23047,
32628,
23093,
19,
-23078,
-32663,
-23113,
-15,
23101,
32690,
23128,
12,
-23118,
-32709,
-23139,
-9,
23131,
32724,
23147,
7,
-23141,
-32735,
-23153,
-6,
23148,
32743,
23158,
4,
-23154,
-32750,
-23161,
-3,
23158,
32754,
23163,
3,
-23161,
-32758,
-23165,
-2,
23163,
};

#pragma DATA_SECTION (dbuffer,".dbuffer")
DATA dbuffer[NH+2];

#pragma DATA_SECTION (h,".coeffs")
DATA h[NH];

DATA r[NX];

DATA error;

